Bug 545349 - [ml_IN] Wrong rendering when യ്യ and വ്വ used with chillu conjuncts
[ml_IN] Wrong rendering when യ്യ and വ്വ used with chillu conjuncts
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-08 04:29 EST by Ani Peter
Modified: 2016-07-31 21:31 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-16 09:02:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Screenshot for kwrite showing wrong rendering (45.07 KB, image/png)
2009-12-08 04:29 EST, Ani Peter
no flags Details
Screenshot for gedit showing correct rendering (38.95 KB, image/png)
2009-12-08 04:30 EST, Ani Peter
no flags Details
kwrite in f14 with correct rendering (44.99 KB, image/png)
2010-11-16 08:57 EST, Praveen Arimbrathodiyil
no flags Details

  None (edit)
Description Ani Peter 2009-12-08 04:29:16 EST
Created attachment 376865 [details]
Screenshot for kwrite showing wrong rendering

Description of problem:

Conjunct "യ്യ" and "വ്വ" when used after chillu conjuncts, it gets combined with the chillu resulting in wrong rendering. ie,
Conjunct യ്യ = യ + ് + യ [ 0D2F + 0D4D + 0D2F ] and
Conjunct വ്വ = വ  + ് + വ [ 0D35 + 0D4D + 0D35 ]

Also,
When any consonant is combined with 0D2F or 0D35 using 0D4D, gives the following result (Here, consonant ക [0D15] is used) :
ക  +  ്  +  യ  =  ക്യ  [ 0D15  + 0D4D  + 0D2F ]
ക  +  ്  +  വ   =  ക്വ  [ 0D15  + 0D4D  + 0D35 ]

Thus, when conjunct യ്യ or വ്വ is used after any chillu conjuncts, say ന്‍, the first 0D2F/0D35 is getting combined with ന്‍ and giving out wrong results.

Version-Release number of selected component (if applicable):
qt-4.5.3-9.fc12
kdebase-4.3.3-3.fc12

How reproducible:
Always 

Steps to Reproduce:
(i) For Conjunct "യ്യ"
1. Open kwrite
2. Type 0D28, 0D4D, 200D, 0D2F, 0D4D, 0D2F

(ii) For Conjunct "വ്വ"
1. Open kwrite
2. Type 0D28, 0D4D, 200D, 0D35, 0D4D, 0D35

Observe the wrong rendering for above combination.

Actual results:
When conjunct "യ്യ" and  "വ്വ" is used after chillu, they get combined with the chillu and is thus wrong rendering. Attached screenshot with kwrite showing this wrong rendering.

Expected results:
When conjunct "യ്യ" and  "വ്വ" is used after chillu, they must not get combined with the chillu. Attached screenshot with gedit showing correct rendering.

Additional info:
5 Chillu conjuncts are:
ന്‍  =  ന +  ്  + ZWJ  [ 0D28 + 0D4D + 200D ]
ര്‍  =  ര +  ്  + ZWJ  [ 0D30 + 0D4D + 200D ]
ണ്‍  = ണ +  ്  + ZWJ  [ 0D23 + 0D4D + 200D ]
ള്‍  = ള +  ്  + ZWJ  [ 0D33 + 0D4D + 200D ]
ല്‍  =  ല +  ്  + ZWJ  [ 0D32 + 0D4D + 200D ]
Comment 1 Ani Peter 2009-12-08 04:30:20 EST
Created attachment 376866 [details]
Screenshot for gedit showing correct rendering
Comment 2 Bug Zapper 2010-11-03 23:56:48 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Praveen Arimbrathodiyil 2010-11-16 08:57:54 EST
Created attachment 460840 [details]
kwrite in f14 with correct rendering

This bug is fixed with qt/kwrite in f14.

Note You need to log in before you can comment on or make changes to this bug.